function loadExercises(poWindow) {
    try {
        var oParamObject = poWindow.extraArgs;
        var oContainer   = poWindow.document.getElementById("exercises-container");
        var oFlashEmbed  = poWindow.document.createElementNS("http://www.w3.org/1999/xhtml", "embed");
        oFlashEmbed.setAttribute("id", "exercises-embed");
        oFlashEmbed.setAttribute("quality", "high");
        oFlashEmbed.setAttribute("scale", "noorder");
        oFlashEmbed.setAttribute("flex", "1");
        oFlashEmbed.setAttribute("type", "application/x-shockwave-flash");
        oFlashEmbed.setAttribute("src", "collex.swf");
        if (oParamObject && oParamObject.exercise && oParamObject.data)
            oFlashEmbed.setAttribute("flashvars", "exercise=" + oParamObject.exercise + "&data=" + oParamObject.data);
        oContainer.appendChild(oFlashEmbed);
    } catch (err) {
       jsLog("ERROR function loadExercises:\n" + err);
    }
}
